Model Runs
Create a model run
Create and execute a model run. Provide the time range and the data point IDs to use as inputs. The model’s node tree is evaluated against the provided data points.
POST
/
models
/
{model_id}
/
model_runs
Create a model run
curl --request POST \
--url https://app.gomangrove.com/api/v1/models/{model_id}/model_runs \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"model_run": {
"start_time": "2025-01-01T00:00:00Z",
"end_time": "2025-03-31T23:59:59Z",
"data_point_ids": [
"dp_abc123",
"dp_def456"
]
}
}
'import requests
url = "https://app.gomangrove.com/api/v1/models/{model_id}/model_runs"
payload = { "model_run": {
"start_time": "2025-01-01T00:00:00Z",
"end_time": "2025-03-31T23:59:59Z",
"data_point_ids": ["dp_abc123", "dp_def456"]
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model_run: {
start_time: '2025-01-01T00:00:00Z',
end_time: '2025-03-31T23:59:59Z',
data_point_ids: ['dp_abc123', 'dp_def456']
}
})
};
fetch('https://app.gomangrove.com/api/v1/models/{model_id}/model_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"start_time": "2025-01-01T00:00:00.000Z",
"end_time": "2025-03-31T23:59:59.000Z",
"state": "complete",
"error_message": null,
"created_at": "2025-01-15T10:00:00.000Z",
"updated_at": "2025-01-15T10:00:00.000Z",
"calculations": [
{
"id": 1,
"name": "Net Carbon Removal",
"value": 100.5,
"unit": "t",
"ghg": "co2e",
"lca_role": "net",
"category": "removal"
}
],
"output_data_points": [
{
"id": "dp_abc123",
"slug": "net-carbon-removal",
"data_point_type": "Net Carbon Removal",
"value": 100.5,
"unit": "t",
"status": "complete"
}
]
}{
"status": "error",
"statusCode": 422,
"errors": [
{
"message": "Missing required data points"
}
]
}Authorizations
Path Parameters
Model friendly ID (e.g., mdl_abc123def456)
Body
application/json
Show child attributes
Show child attributes
⌘I
Create a model run
